Subject: [bug#51280] [PATCH v2 4/5] gnu: openttd-openmsx: Update to 0.4.2.

From: Felix Gruber <[email-masked]>
Date: Sun, 7 Nov 2021 20:06:46 +0000

Hi Liliana,

On 11/6/21 1:34 PM, Liliana Marie Prikler wrote:
> OpenTTD fails to find this version of opensmx (as opposed to failing to
> play any sound for it, which is the current behaviour on master).  Do
> you have a guess as to why this is the case?

It looks like the script that generates the midi files in openmsx
silently failed after I've replaced the python2 native-input with
python, because the Python scripts in openmsx refer in their #! to
Python as python and not python3. When I instead use the native-input
python-wrapper, the midi files are correctly built and we are back to
the old behaviour with openttd showing the midi tracks but being unable
to play them.

I'll send an updated patch for openmsx.

Best,
Felix